summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPier Luigi Fiorini2018-12-24 13:51:47 +0100
committerPier Luigi Fiorini2018-12-24 13:51:47 +0100
commit7f448533eee7cbed2bf02c9a3e72f5f150113c3a (patch)
tree8095365710f0eec0626a7ccefc92300641156fed
parent08d354bbe07f5926444cdb2c9b7a081c16d7c959 (diff)
downloadaur-7f448533eee7cbed2bf02c9a3e72f5f150113c3a.tar.gz
Update versioning
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD7
2 files changed, 7 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 2f4098db47b..57929168e8e 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
# Generated by mksrcinfo v8
-# Mon Dec 24 12:46:44 UTC 2018
+# Mon Dec 24 12:51:43 UTC 2018
pkgbase = libliri-git
pkgdesc = Utilities for Liri Quick applications
- pkgver = 20181130.117.303ae04
+ pkgver = r117.303ae04
pkgrel = 1
url = https://liri.io
arch = i686
diff --git a/PKGBUILD b/PKGBUILD
index 1f95ee9ef59..be0dd0fb636 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
pkgname=libliri-git
-pkgver=20181130.117.303ae04
+pkgver=r117.303ae04
pkgrel=1
pkgdesc="Utilities for Liri Quick applications"
arch=('i686' 'x86_64' 'armv6h' 'armv7h')
@@ -23,7 +23,10 @@ md5sums=('SKIP')
pkgver() {
cd ${srcdir}/${_gitname}
- echo "$(git log -1 --format="%cd" --date=short | tr -d '-').$(git rev-list --count HEAD).$(git log -1 --format="%h")"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
prepare() {